import mods.metatweaker.Factory;

var DivineRPG_BuildingsBlocks = mods.metatweaker.Factory.createCreativeTab("DivineRPG BuildingsBlocks", "metatweaker:AmethystBlockCrystal_4:1").register();

var AmethystBlock = Factory.createBlock("AmethystBlock", <etfuturum:amethyst_block>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_block.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_block.step")
    .addSubtype("AmethystBlock_1", "metatweaker:drpgdecorative/amethyst/amethyst_block_eden")
    .addSubtype("AmethystBlock_2", "metatweaker:drpgdecorative/amethyst/amethyst_block_wildwood")
    .addSubtype("AmethystBlock_3", "metatweaker:drpgdecorative/amethyst/amethyst_block_apalachi")
    .addSubtype("AmethystBlock_4", "metatweaker:drpgdecorative/amethyst/amethyst_block_thern")
    .addSubtype("AmethystBlock_5", "metatweaker:drpgdecorative/amethyst/amethyst_block_mortrum")
    .register();

var AmethystBlockCluster = Factory.createBlock("AmethystBlockCluster", <etfuturum:budding_amethyst>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCluster_1", "metatweaker:drpgdecorative/amethyst/amethyst_cluster_eden")
    .addSubtype("AmethystBlockCluster_2", "metatweaker:drpgdecorative/amethyst/amethyst_cluster_wildwood")
    .addSubtype("AmethystBlockCluster_3", "metatweaker:drpgdecorative/amethyst/amethyst_cluster_apalachi")
    .addSubtype("AmethystBlockCluster_4", "metatweaker:drpgdecorative/amethyst/amethyst_cluster_thern")
    .addSubtype("AmethystBlockCluster_5", "metatweaker:drpgdecorative/amethyst/amethyst_cluster_mortrum")
    .register();

var ADGStone = Factory.createBlock("ADGStone", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("Andezite_1", "metatweaker:drpgdecorative/andezite/andezite_eden")
    .addSubtype("Andezite_2", "metatweaker:drpgdecorative/andezite/andezite_wildwood")
    .addSubtype("Andezite_3", "metatweaker:drpgdecorative/andezite/andezite_apalachi")
    .addSubtype("Andezite_4", "metatweaker:drpgdecorative/andezite/andezite_thern")
    .addSubtype("Andezite_5", "metatweaker:drpgdecorative/andezite/andezite_mortrum")
    .addSubtype("Diorite_1", "metatweaker:drpgdecorative/diorite/diorite_eden")
    .addSubtype("Diorite_2", "metatweaker:drpgdecorative/diorite/diorite_wildwood")
    .addSubtype("Diorite_3", "metatweaker:drpgdecorative/diorite/diorite_apalachi")
    .addSubtype("Diorite_4", "metatweaker:drpgdecorative/diorite/diorite_thern")
    .addSubtype("Diorite_5", "metatweaker:drpgdecorative/diorite/diorite_mortrum")
    .addSubtype("Granite_1", "metatweaker:drpgdecorative/granit/granite_eden")
    .addSubtype("Granite_2", "metatweaker:drpgdecorative/granit/granite_wildwood")
    .addSubtype("Granite_3", "metatweaker:drpgdecorative/granit/granite_apalachi")
    .addSubtype("Granite_4", "metatweaker:drpgdecorative/granit/granite_thern")
    .addSubtype("Granite_5", "metatweaker:drpgdecorative/granit/granite_mortrum")
    .addSubtype("Andezite_6", "metatweaker:drpgdecorative/andezite/andezite_twilight")
    .register();

var DRPGLeaves = Factory.createBlock("DRPGLeaves", <minecraft:leaves:1>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(0.2)
    .setHarvestLevel(0)
    .setMaxStackSize(64)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("DRPGLeaves_1", "metatweaker:drpgdecorative/leaves/oak_leaves_eden")
    .addSubtype("DRPGLeaves_2", "metatweaker:drpgdecorative/leaves/oak_leaves_wildwood")
    .addSubtype("DRPGLeaves_3", "metatweaker:drpgdecorative/leaves/oak_leaves_apalachi")
    .addSubtype("DRPGLeaves_4", "metatweaker:drpgdecorative/leaves/oak_leaves_thern")
    .addSubtype("DRPGLeaves_5", "metatweaker:drpgdecorative/leaves/oak_leaves_mortrum")
    .addSubtype("DRPGLeaves_6", "metatweaker:drpgdecorative/leaves/spruce_leaves_eden")
    .addSubtype("DRPGLeaves_7", "metatweaker:drpgdecorative/leaves/spruce_leaves_wildwood")
    .addSubtype("DRPGLeaves_8", "metatweaker:drpgdecorative/leaves/spruce_leaves_apalachi")
    .addSubtype("DRPGLeaves_9", "metatweaker:drpgdecorative/leaves/spruce_leaves_thern")
    .addSubtype("DRPGLeaves_10", "metatweaker:drpgdecorative/leaves/spruce_leaves_mortrum")
    .register();

var DRPGWoods = Factory.createBlock("DRPGWoods", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(5)
    .setHarvest("axe")
    .setHarvestLevel(0)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.wood", "minecraft:dig.wood", "minecraft:step.wood")
    .addSubtype("DRPGWoods_1", 2, "metatweaker:drpgdecorative/woods/warped_stem_eden", "metatweaker:drpgdecorative/woods/warped_stem_eden", "metatweaker:drpgdecorative/woods/warped_stem_eden", "metatweaker:drpgdecorative/woods/warped_stem_up_eden", "metatweaker:drpgdecorative/woods/warped_stem_eden", "metatweaker:drpgdecorative/woods/warped_stem_up_eden")
    .addSubtype("DRPGWoods_2", 2, "metatweaker:drpgdecorative/woods/warped_stem_wildwood", "metatweaker:drpgdecorative/woods/warped_stem_wildwood", "metatweaker:drpgdecorative/woods/warped_stem_wildwood", "metatweaker:drpgdecorative/woods/warped_stem_up_wildwood", "metatweaker:drpgdecorative/woods/warped_stem_wildwood", "metatweaker:drpgdecorative/woods/warped_stem_up_wildwood")
    .addSubtype("DRPGWoods_3", 2, "metatweaker:drpgdecorative/woods/warped_stem_apalachi", "metatweaker:drpgdecorative/woods/warped_stem_apalachi", "metatweaker:drpgdecorative/woods/warped_stem_apalachi", "metatweaker:drpgdecorative/woods/warped_stem_up_apalachi", "metatweaker:drpgdecorative/woods/warped_stem_apalachi", "metatweaker:drpgdecorative/woods/warped_stem_up_apalachi")
    .addSubtype("DRPGWoods_4", 2, "metatweaker:drpgdecorative/woods/warped_stem_thern", "metatweaker:drpgdecorative/woods/warped_stem_thern", "metatweaker:drpgdecorative/woods/warped_stem_thern", "metatweaker:drpgdecorative/woods/warped_stem_up_thern", "metatweaker:drpgdecorative/woods/warped_stem_thern", "metatweaker:drpgdecorative/woods/warped_stem_up_thern")
    .addSubtype("DRPGWoods_5", 2, "metatweaker:drpgdecorative/woods/warped_stem_mortrum", "metatweaker:drpgdecorative/woods/warped_stem_mortrum", "metatweaker:drpgdecorative/woods/warped_stem_mortrum", "metatweaker:drpgdecorative/woods/warped_stem_up_mortrum", "metatweaker:drpgdecorative/woods/warped_stem_mortrum", "metatweaker:drpgdecorative/woods/warped_stem_up_mortrum")
    .addSubtype("DRPGFeeledWoods_1", "metatweaker:drpgdecorative/woods/warped_stem_eden")
    .addSubtype("DRPGFeeledWoods_2", "metatweaker:drpgdecorative/woods/warped_stem_wildwood")
    .addSubtype("DRPGFeeledWoods_3", "metatweaker:drpgdecorative/woods/warped_stem_apalachi")
    .addSubtype("DRPGFeeledWoods_4", "metatweaker:drpgdecorative/woods/warped_stem_thern")
    .addSubtype("DRPGFeeledWoods_5", "metatweaker:drpgdecorative/woods/warped_stem_mortrum")
    .register();

var AmethystBlockCrystal_1 = Factory.createBlock("AmethystBlockCrystal_1", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_1", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_1_eden")
    .addSubtype("AmethystBlockCrystal_2", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_1_wildwood")
    .addSubtype("AmethystBlockCrystal_3", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_1_apalachi")
    .addSubtype("AmethystBlockCrystal_4", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_1_thern")
    .addSubtype("AmethystBlockCrystal_5", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_1_mortrum")
    .register();

var AmethystBlockCrystal_2 = Factory.createBlock("AmethystBlockCrystal_2", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_6", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_2_eden")
    .addSubtype("AmethystBlockCrystal_7", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_2_wildwood")
    .addSubtype("AmethystBlockCrystal_8", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_2_apalachi")
    .addSubtype("AmethystBlockCrystal_9", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_2_thern")
    .addSubtype("AmethystBlockCrystal_10", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_2_mortrum")
    .register();

var AmethystBlockCrystal_3 = Factory.createBlock("AmethystBlockCrystal_3", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_11", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_3_eden")
    .addSubtype("AmethystBlockCrystal_12", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_3_wildwood")
    .addSubtype("AmethystBlockCrystal_13", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_3_apalachi")
    .addSubtype("AmethystBlockCrystal_14", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_3_thern")
    .addSubtype("AmethystBlockCrystal_15", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_3_mortrum")
    .register();

var AmethystBlockCrystal_4 = Factory.createBlock("AmethystBlockCrystal_4", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_16", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_4_eden")
    .addSubtype("AmethystBlockCrystal_17", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_4_wildwood")
    .addSubtype("AmethystBlockCrystal_18", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_4_apalachi")
    .addSubtype("AmethystBlockCrystal_19", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_4_thern")
    .addSubtype("AmethystBlockCrystal_20", "metatweaker:drpgdecorative/amethyst/crystal/amethyst_4_mortrum")
    .register();

var AmethystBlockCrystalInverted_1 = Factory.createBlock("AmethystBlockCrystalInverted_1", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_1", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_1_eden")
    .addSubtype("AmethystBlockCrystal_2", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_1_wildwood")
    .addSubtype("AmethystBlockCrystal_3", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_1_apalachi")
    .addSubtype("AmethystBlockCrystal_4", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_1_thern")
    .addSubtype("AmethystBlockCrystal_5", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_1_mortrum")
    .register();

var AmethystBlockCrystalInverted_2 = Factory.createBlock("AmethystBlockCrystalInverted_2", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_6", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_2_eden")
    .addSubtype("AmethystBlockCrystal_7", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_2_wildwood")
    .addSubtype("AmethystBlockCrystal_8", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_2_apalachi")
    .addSubtype("AmethystBlockCrystal_9", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_2_thern")
    .addSubtype("AmethystBlockCrystal_10", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_2_mortrum")
    .register();

var AmethystBlockCrystalInverted_3 = Factory.createBlock("AmethystBlockCrystalInverted_3", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_11", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_3_eden")
    .addSubtype("AmethystBlockCrystal_12", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_3_wildwood")
    .addSubtype("AmethystBlockCrystal_13", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_3_apalachi")
    .addSubtype("AmethystBlockCrystal_14", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_3_thern")
    .addSubtype("AmethystBlockCrystal_15", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_3_mortrum")
    .register();

var AmethystBlockCrystalInverted_4 = Factory.createBlock("AmethystBlockCrystalInverted_4", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(4)
    .setResistance(8)
    .setHarvest("pickaxe")
    .setHarvestLevel(4)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft_1.18:block.amethyst_cluster.break", "minecraft_1.18:block.amethyst_cluster.place", "minecraft_1.18:block.amethyst_cluster.step")
    .addSubtype("AmethystBlockCrystal_16", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_4_eden")
    .addSubtype("AmethystBlockCrystal_17", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_4_wildwood")
    .addSubtype("AmethystBlockCrystal_18", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_4_apalachi")
    .addSubtype("AmethystBlockCrystal_19", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_4_thern")
    .addSubtype("AmethystBlockCrystal_20", "metatweaker:drpgdecorative/amethyst/crystal/inverted/amethyst_4_mortrum")
    .register();

var DRPGStone = Factory.createBlock("DRPGStone", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("DRPGStone_1", "metatweaker:drpgdecorative/stone/cobble_eden")
    .addSubtype("DRPGStone_2", "metatweaker:drpgdecorative/stone/cobble_wildwood")
    .addSubtype("DRPGStone_3", "metatweaker:drpgdecorative/stone/cobble_apalachi")
    .addSubtype("DRPGStone_4", "metatweaker:drpgdecorative/stone/cobble_thern")
    .addSubtype("DRPGStone_5", "metatweaker:drpgdecorative/stone/cobble_mortrum")
    .addSubtype("DRPGStone_6", "metatweaker:drpgdecorative/stone/stone_eden")
    .addSubtype("DRPGStone_7", "metatweaker:drpgdecorative/stone/stone_wildwood")
    .addSubtype("DRPGStone_8", "metatweaker:drpgdecorative/stone/stone_apalachi")
    .addSubtype("DRPGStone_9", "metatweaker:drpgdecorative/stone/stone_thern")
    .addSubtype("DRPGStone_10", "metatweaker:drpgdecorative/stone/stone_mortrum")
    .addSubtype("DRPGStone_11", "metatweaker:drpgdecorative/stone/cobble_twilight")
    .register();

var DRPGBrick_1 = Factory.createBlock("DRPGBrick_1", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("DRPGBrick_1", "metatweaker:drpgdecorative/brick/prism_brick_eden")
    .addSubtype("DRPGBrick_2", "metatweaker:drpgdecorative/brick/prism_brick_wildwood")
    .addSubtype("DRPGBrick_3", "metatweaker:drpgdecorative/brick/prism_brick_apalachi")
    .addSubtype("DRPGBrick_4", "metatweaker:drpgdecorative/brick/prism_brick_thern")
    .addSubtype("DRPGBrick_5", "metatweaker:drpgdecorative/brick/prism_brick_mortrum")
    .addSubtype("DRPGBrick_6", "metatweaker:drpgdecorative/brick/purpur_block_eden")
    .addSubtype("DRPGBrick_7", "metatweaker:drpgdecorative/brick/purpur_block_wildwood")
    .addSubtype("DRPGBrick_8", "metatweaker:drpgdecorative/brick/purpur_block_apalachi")
    .addSubtype("DRPGBrick_9", "metatweaker:drpgdecorative/brick/purpur_block_thern")
    .addSubtype("DRPGBrick_10", "metatweaker:drpgdecorative/brick/purpur_block_mortrum")
    .addSubtype("DRPGBrick_11", "metatweaker:drpgdecorative/brick/stone_brick_carved_eden")
    .addSubtype("DRPGBrick_12", "metatweaker:drpgdecorative/brick/stone_brick_carved_wildwood")
    .addSubtype("DRPGBrick_13", "metatweaker:drpgdecorative/brick/stone_brick_carved_apalachi")
    .addSubtype("DRPGBrick_14", "metatweaker:drpgdecorative/brick/stone_brick_carved_thern")
    .addSubtype("DRPGBrick_15", "metatweaker:drpgdecorative/brick/stone_brick_carved_mortrum")
    .addSubtype("DRPGBrick_16", "metatweaker:drpgdecorative/brick/stone_brick_cracked_eden")
    .register();

var DRPGBrick_2 = Factory.createBlock("DRPGBrick_2", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("DRPGBrick_17", "metatweaker:drpgdecorative/brick/stone_brick_cracked_wildwood")
    .addSubtype("DRPGBrick_18", "metatweaker:drpgdecorative/brick/stone_brick_cracked_apalachi")
    .addSubtype("DRPGBrick_19", "metatweaker:drpgdecorative/brick/stone_brick_cracked_thern")
    .addSubtype("DRPGBrick_20", "metatweaker:drpgdecorative/brick/stone_brick_cracked_mortrum")
    .addSubtype("DRPGBrick_21", "metatweaker:drpgdecorative/brick/stone_brick_eden")
    .addSubtype("DRPGBrick_22", "metatweaker:drpgdecorative/brick/stone_brick_wildwood")
    .addSubtype("DRPGBrick_23", "metatweaker:drpgdecorative/brick/stone_brick_apalachi")
    .addSubtype("DRPGBrick_24", "metatweaker:drpgdecorative/brick/stone_brick_thern")
    .addSubtype("DRPGBrick_25", "metatweaker:drpgdecorative/brick/stone_brick_mortrum")
    .register();

var DRPGMossyBrick = Factory.createBlock("DRPGMossyBrick", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("DRPGMossyBrick_1", "metatweaker:drpgdecorative/mossy/mossy_brick_netherack")
    .addSubtype("DRPGMossyBrick_2", "metatweaker:drpgdecorative/mossy/mossy_brick_sand")
    .addSubtype("DRPGMossyBrick_3", "metatweaker:drpgdecorative/mossy/mossy_brick_snow")
    .addSubtype("DRPGMossyBrick_4", "metatweaker:drpgdecorative/mossy/mossy_cobble_netherack")
    .addSubtype("DRPGMossyBrick_5", "metatweaker:drpgdecorative/mossy/mossy_cobble_sand")
    .addSubtype("DRPGMossyBrick_6", "metatweaker:drpgdecorative/mossy/mossy_cobble_snow")
    .register();

var DRPGPillar = Factory.createBlock("DRPGPillar", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("DRPGPillar_1", 2, "metatweaker:drpgdecorative/pillar/pillar_eden", "metatweaker:drpgdecorative/pillar/pillar_eden", "metatweaker:drpgdecorative/pillar/pillar_eden", "metatweaker:drpgdecorative/pillar/pillar_top_eden", "metatweaker:drpgdecorative/pillar/pillar_eden", "metatweaker:drpgdecorative/pillar/pillar_top_eden")
    .addSubtype("DRPGPillar_2", 2, "metatweaker:drpgdecorative/pillar/pillar_wildwood", "metatweaker:drpgdecorative/pillar/pillar_wildwood", "metatweaker:drpgdecorative/pillar/pillar_wildwood", "metatweaker:drpgdecorative/pillar/pillar_top_wildwood", "metatweaker:drpgdecorative/pillar/pillar_wildwood", "metatweaker:drpgdecorative/pillar/pillar_top_wildwood")
    .addSubtype("DRPGPillar_3", 2, "metatweaker:drpgdecorative/pillar/pillar_apalachi", "metatweaker:drpgdecorative/pillar/pillar_apalachi", "metatweaker:drpgdecorative/pillar/pillar_apalachi", "metatweaker:drpgdecorative/pillar/pillar_top_apalachi", "metatweaker:drpgdecorative/pillar/pillar_apalachi", "metatweaker:drpgdecorative/pillar/pillar_top_apalachi")
    .addSubtype("DRPGPillar_4", 2, "metatweaker:drpgdecorative/pillar/pillar_thern", "metatweaker:drpgdecorative/pillar/pillar_thern", "metatweaker:drpgdecorative/pillar/pillar_thern", "metatweaker:drpgdecorative/pillar/pillar_top_thern", "metatweaker:drpgdecorative/pillar/pillar_thern", "metatweaker:drpgdecorative/pillar/pillar_top_thern")
    .addSubtype("DRPGPillar_5", 2, "metatweaker:drpgdecorative/pillar/pillar_mortrum", "metatweaker:drpgdecorative/pillar/pillar_mortrum", "metatweaker:drpgdecorative/pillar/pillar_mortrum", "metatweaker:drpgdecorative/pillar/pillar_top_mortrum", "metatweaker:drpgdecorative/pillar/pillar_mortrum", "metatweaker:drpgdecorative/pillar/pillar_top_mortrum")
    .register();

var DRPGGrass = Factory.createBlock("DRPGGrass", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(0)
    .setHarvestLevel(0)
    .setMaxStackSize(64)
    .setRenderType(1)
    .setCollision(false)
    .setNeedDropItems(false)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("DRPGGrass_1", "metatweaker:drpgdecorative/grass/grass_eden")
    .addSubtype("DRPGGrass_2", "metatweaker:drpgdecorative/grass/grass_wildwood")
    .addSubtype("DRPGGrass_3", "metatweaker:drpgdecorative/grass/grass_apalachi")
    .addSubtype("DRPGGrass_4", "metatweaker:drpgdecorative/grass/grass_thern")
    .addSubtype("DRPGGrass_5", "metatweaker:drpgdecorative/grass/grass_mortrum")
    .addSubtype("DRPGGrass_6", "metatweaker:drpgdecorative/grass/grass2_eden")
    .addSubtype("DRPGGrass_7", "metatweaker:drpgdecorative/grass/grass2_wildwood")
    .addSubtype("DRPGGrass_8", "metatweaker:drpgdecorative/grass/grass2_apalachi")
    .addSubtype("DRPGGrass_9", "metatweaker:drpgdecorative/grass/grass2_thern")
    .addSubtype("DRPGGrass_10", "metatweaker:drpgdecorative/grass/grass2_mortrum")
    .register();

var DRPGLantern = Factory.createBlock("DRPGLantern", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("DivineRPG BuildingsBlocks")
    .setHardness(2)
    .setResistance(4)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setLightLevel(1)
    .setSound(1, 1, "minecraft:dig.stone", "minecraft:dig.stone", "minecraft:step.stone")
    .addSubtype("DRPGLantern_1", "metatweaker:drpgdecorative/lantern/sadness_stone_eden")
    .addSubtype("DRPGLantern_2", "metatweaker:drpgdecorative/lantern/sadness_stone_wildwood")
    .addSubtype("DRPGLantern_3", "metatweaker:drpgdecorative/lantern/sadness_stone_apalachi")
    .addSubtype("DRPGLantern_4", "metatweaker:drpgdecorative/lantern/sadness_stone_thern")
    .addSubtype("DRPGLantern_5", "metatweaker:drpgdecorative/lantern/sadness_stone_mortrum")
    .addSubtype("DRPGLantern_6", "metatweaker:drpgdecorative/lantern/sea_lantern_eden")
    .addSubtype("DRPGLantern_7", "metatweaker:drpgdecorative/lantern/sea_lantern_wildwood")
    .addSubtype("DRPGLantern_8", "metatweaker:drpgdecorative/lantern/sea_lantern_apalachi")
    .addSubtype("DRPGLantern_9", "metatweaker:drpgdecorative/lantern/sea_lantern_thern")
    .addSubtype("DRPGLantern_10", "metatweaker:drpgdecorative/lantern/sea_lantern_mortrum")
    .register();



